
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.net.URLEncoder;
import java.security.NoSuchAlgorithmException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.yupstudio.lib.crypto.MessageDigest;

/**
 * 应用相关工具
 * @author my.yang@downjoy.com
 */
public class CommonUtil {

    private static MessageDigest md5;

    private static final CommonUtil instance=new CommonUtil();

    private CommonUtil() {
        try {
            md5=MessageDigest.getInstance(MessageDigest.ALGORITHM_MD5);
        } catch(NoSuchAlgorithmException e) {
            e.printStackTrace();
        }
    }

    public static CommonUtil getInstance() {
        return instance;
    }
    
    public String md5(String source){
        return md5.getDigest(source);
    }

}
